
-- Body Class --
----------------
local Object = require("source.Object")
local Body = Object:new()
Body.__index = Body


function Body:new(image, x, y, xvel, yvel)
  local self = setmetatable({}, Body)
  self.image = image
  self.w = self.image:getWidth()
  self.h = self.image:getHeight()
  self.x = x
  self.y = y
  self.xvel = xvel
  self.yvel = yvel
  self.r = math.random(0, 100)
  self.rotVel = math.random(-60, 60)
  return self
end


function Body:update(dt)
  self.yvel = self.yvel + 100 * dt
  self.x = self.x + self.xvel * dt
  self.y = self.y + self.yvel * dt
  self.r = self.r + self.rotVel * dt
  if self.y > HEIGHT then self.removed = true end
end


function Body:draw()
  love.graphics.draw(self.image, self.x, self.y,self.r*math.pi/180, 1, 1, self.w/2, self.h / 2)
end

return Body