
local Object = require("source.Object")
local Button = Object:new()
Button.__index = Button


function Button:new(name, x, y, action)
  local self = setmetatable({}, Button)
  self.name = name
  self.x = x
  self.y = y
  self.w = FONT.small:getWidth(self.name)
  self.h = FONT.small:getHeight()
  self.action = action or nil
  self.selected = false
  return self
end


function Button:update(dt)
  self.selected = false
end


function Button:draw()
  if self.selected then
    love.graphics.setColor(50, 100, 250, 100)
    love.graphics.rectangle("fill", self.x - self.w / 2, self.y+4, self.w, self.h-6)
    love.graphics.setColor(255, 255, 255, 255)
  end
  if not self.action then love.graphics.setColor(80, 80, 80) end
  printFont(FONT.small, self.name, self.x - self.w / 2, self.y)
  love.graphics.setColor(255, 255, 255)
end

return Button
