
-- City Theme lua --
--------------------
local City = {}
local cars = {}

-- CAR OBJECT --
----------------
local car = {}
local carImage = love.graphics.newImage("assets/cityCar.png")
function car:new(x, y, speed)
  local car = {}
  car.speed = speed
  car.image = carImage
  car.color = {math.random(50, 200), math.random(50, 200), math.random(50, 200)}
  car.w = car.image:getWidth()
  car.h = car.image:getHeight()
  if x ~= 0 then
    car.x = x
    if car.x > WIDTH / 2 then car.speed = -car.speed end
  else
    if car.speed > 0 then car.x = -car.w
    else car.x = WIDTH end
  end
  car.y = y
  car.timer = math.random(1, 20)
  car.removed = false
  
  function car:update(dt)
    self.timer = self.timer + dt
    local tween = math.cos(self.timer*3)*6
    self.x = self.x + self.speed * dt
    self.y = self.y + tween * dt
    if self.x < -self.w or self.x > WIDTH then self.removed = true end
  end
  
  function car:draw()
    love.graphics.setColor(unpack(self.color))
    if self.speed < 0 then love.graphics.draw(self.image, self.x, self.y)
    else love.graphics.draw(self.image, self.x, self.y, 0, -1, 1, self.w) end
    love.graphics.setColor(255, 255, 255)
  end

  return car
end


function City:init()
  self.spawnTimer = 0
  self.spawnTime = math.random()
end


function City:update(dt)
  
  -- Spawn cars --
  ----------------
  self.spawnTimer = self.spawnTimer + dt
  if self.spawnTimer > self.spawnTime then
    local speed = math.random(75, 120)
    local dir = math.random(1,2)
    if dir == 1 then speed = -speed end
    local car = car:new(0, math.random(90, 130), speed)
    table.insert(cars, car)
    self.spawnTimer = 0
    self.spawnTime = math.random()
  end
  
  -- Update cars --
  -----------------
  for i, car in ipairs(cars) do
    if not car.removed then car:update(dt)
    else table.remove(cars, i) end
  end
  
end


function City:draw()
  
  -- Draw cars --
  ---------------
  for i, car in ipairs(cars) do
    car:draw()
  end
  
end

return City
