

-- Pad Class --
---------------
local Object = require("source.Object")
local Pad = Object:new()
Pad.__index = Pad


function Pad:new(id, x, y, w, h)
  local self = setmetatable({}, Pad)
  self.x = x
  self.y = y
  self.w = w
  self.h = h
  self.id = id
  return self
end


function Pad:update(dt)
  local hitbox = {x = player.hitboxes[2].x, y = player.hitboxes[2].y, w = player.hitboxes[2].w, h = player.hitboxes[2].h+.5} 
  if boxCollision(hitbox, self) and hitbox.x > self.x and hitbox.x + hitbox.w < self.x + self.w and player.gear.lowered then
    if player.velY > 25 and player.velY < 40 then
      player.velY = -player.velY+15
      player.padId = ""
    elseif player.velY > 40 then
      player:kill()
      return
    else
      if player.velY >= 0 then
        player:setFloor(self.y)
        player.padId = self.id
      end
    end
  end
end


function Pad:draw()
  love.graphics.rectangle("line", self.x, self.y, self.w, self.h)
end

return Pad