


-- Mainmenu Scene --
--------------------
local SplashScene = {}
local drLogo = love.graphics.newImage("assets/drLogo.png")
local SceneManager = require("source.SceneManager")

function SplashScene:enter()
  self.timer = 0
  self.alpha = 255
end


function SplashScene:leave()
end


function SplashScene:update(dt)
  self.timer = self.timer + dt
  if self.timer > 2 then
    if self.alpha > 1 then self.alpha = self.alpha - 300 * dt
    else SceneManager.setOverlay() end
  end
end


function SplashScene:draw()
  love.graphics.setColor(0, 0, 0, self.alpha)
  love.graphics.rectangle("fill", 0, 0, WIDTH, HEIGHT)
  love.graphics.setColor(200, 200, 200, self.alpha)
  love.graphics.draw(drLogo, WIDTH/2 - drLogo:getWidth()/2, HEIGHT/2 - drLogo:getHeight()/2)
  love.graphics.setColor(255, 255, 255, 255)
end


function SplashScene:keypressed(key)
  SceneManager.setOverlay()
end


function SplashScene:joytickpressed(joystick, button)
  SceneManager.setOverlay()
end

return SplashScene
