

-- // Wheel \\ --
----------------
local Object = require("source.Object")
local Wheel = Object:new()
Wheel.__index = Wheel

-- Dependencies --
------------------

-- Declarations --
------------------


function Wheel:new(x, y, radius, speed)
  local self = setmetatable({}, Wheel)
  self.x = x
  self.y = y
  self.radius = radius
  self.speed = speed
  self.rects = {}
  return self
end


function Wheel:update(dt)
  
  for i, rect in ipairs(self.rects) do
    -- Rotation
    rect.r = rect.r + rect.speed * dt
    if rect.r > 360 then rect.r = 0 end
  end
  
  for i, hitbox in ipairs(self.hitboxes) do
    if boxCollision(player, hitbox) then
      player:kill()
      return
    end
  end
  
  
end


function Wheel:draw()
  for i, rect in ipairs(self.rects) do
    love.graphics.rectangle("fill", rect.x, rect.y, rect.w, rect.h)
  end
end

